Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 270093 - net-libs/xulrunner-1.8.1.19 does not compile with gcc-4.4
Summary: net-libs/xulrunner-1.8.1.19 does not compile with gcc-4.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Mozilla Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-05-16 17:51 UTC by Evan Teran
Modified: 2009-07-07 15:03 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (build.log.bz2,117.90 KB, text/plain)
2009-05-16 18:40 UTC, Evan Teran
Details
patch for #elif (xulrunner.patch,420 bytes, patch)
2009-05-16 18:41 UTC, Evan Teran
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Evan Teran 2009-05-16 17:51:28 UTC
xulrunner-1.8.1.19 does not compile with gcc-4.4. The error seems to be the same as the one which effected version 1.9.x of xulrunner, an #elif with no expression. The gcc-4.4 meta-bug has a dependency on an xulrunner bug, but that bug only mentions and patches version 1.9.x

Reproducible: Always

Steps to Reproduce:
install gcc-4.4
emerge xulrunner:1.8
Comment 1 Sebastian Luther (few) 2009-05-16 18:22:22 UTC
emerge --info and the build.log please.
Comment 2 Evan Teran 2009-05-16 18:23:57 UTC
Portage 2.2_rc28 (default/linux/x86/2008.0/desktop, gcc-4.4.0, glibc-2.8_p20080602-r1, 2.6.28-gentoo-r5 i686)
=================================================================                                            
System uname: Linux-2.6.28-gentoo-r5-i686-Intel-R-_Core-TM-2_Duo_CPU_T7700_@_2.40GHz-with-gentoo-1.12.11.1   
Timestamp of tree: Sat, 16 May 2009 17:30:01 +0000                                                           
app-shells/bash:     3.2_p39                                                                                 
dev-java/java-config: 2.1.7                                                                                  
dev-lang/python:     2.6.2                                                                                   
dev-util/cmake:      2.6.2-r1                                                                                
sys-apps/baselayout: 1.12.11.1                                                                               
sys-apps/sandbox:    1.6-r2                                                                                  
sys-devel/autoconf:  2.13, 2.63                                                                              
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=native -O2 -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/4.2/env /usr/kde/4.2/share/config /usr/kde/4.2/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=native -O2 -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="collision-protect distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en_US en"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="   "
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac accessibility acl acpi alsa apache2 arts avahi bash-completion berkdb bluetooth boost branding bzip2 cairo captury cdr chroot cleartype cli cracklib crypt cups curl cvs dbus debugger dell dhcp divx doc dri dvd dvdr dvdread eds emboss encode esd evo examples expat fam fat ffmpeg firefox flac gdbm gif glibc-omitfp glitz gmp gnome gnutls google-gadgets gpm graphite graphviz gstreamer gtk hal htmlhandbook iconv imagemagick innodb inotify ipod ipv6 ipw3945 isdnlog jadetex java java6 jpeg jpeg2k kde kdeprefix kpathsea kqemu lame ldap lesstif libnotify libwww lm_sensors mad mdnsresponder-compat midi mikmod mjpeg mmap mmx mng mono mp3 mp4 mpeg mpeg2 mplayer mudflap mysql ncurses network-cron nls nptl nptlonly nsplugin ntfs nvidia ogg openal openexr opengl openmp openssl oss pam pango pcap pch pcre pdf perl phonon php physfs plasma pmu png posix ppds pppd python qt3 qt3support qt4 quicktime readline reflection rss rtc samba sdk sdl session smp sockets spell spl sqlite sqlite3 sse sse2 ssl ssse3 startup-notification subversion svg sysfs tcl tcpd templates theora threads thumbnail tiff tivo tk truetype unicode usb userlocales utempter v4l vcd vim-syntax vnc vorbis webkit wifi win32codecs wireshark wmf wmp wxwindows x86 xanim xcomposite xft xine xinerama xml xorg xpm xrandr xrender xscreensaver xulrunner xv xvid zeroconf zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_US en" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Evan Teran 2009-05-16 18:40:02 UTC
Created attachment 191494 [details]
build log

The error is display on this line:
nsAppRunner.cpp:1373:6: error: #elif with no expression
Comment 4 Evan Teran 2009-05-16 18:41:03 UTC
Created attachment 191496 [details, diff]
patch for #elif

this will replace #elif with #else
Comment 5 Jory A. Pratt gentoo-dev 2009-05-29 23:18:18 UTC
(In reply to comment #4)
> Created an attachment (id=191496) [edit]
> patch for #elif
> 
> this will replace #elif with #else
> 

1.9.1 is just around the corner for a release, once final is released 1.9.1 will make it into the tree and be marked accordingly for all archs.
Comment 6 Evan Teran 2009-05-30 03:47:32 UTC
will the current stable version of thunderbird build against xulrunner-1.9.1? If not, then this issue still stands. Remember, this bug is about 1.8.1.19, not 1.9.x.
Comment 7 Jory A. Pratt gentoo-dev 2009-05-30 12:50:49 UTC
(In reply to comment #6)
> will the current stable version of thunderbird build against xulrunner-1.9.1?
> If not, then this issue still stands. Remember, this bug is about 1.8.1.19, not
> 1.9.x.
> 

Actually no it does not stand. There are no ebuilds for thunderbird that build against xulrunner at this time. It is not even supported in the 3.x release by upstream yet.
Comment 8 Evan Teran 2009-05-31 04:24:21 UTC
OK, it seems you are correct that thunderbird doesn't depend on it. However, if you use the xulrunner USE flag, openoffice-3.1.0 does. Since it is a trivial patch to get it to compile with gcc-4.4, it seems like a good idea to commit it.
Comment 9 Jory A. Pratt gentoo-dev 2009-05-31 13:29:56 UTC
(In reply to comment #8)
> OK, it seems you are correct that thunderbird doesn't depend on it. However, if
> you use the xulrunner USE flag, openoffice-3.1.0 does. Since it is a trivial
> patch to get it to compile with gcc-4.4, it seems like a good idea to commit
> it.
> 

There are security bugs against 1.8.x that have to be fixed if it is gonna stay in the tree, I see no point as oo-3.1 compiles fine against 1.9.0.x which is already stable.
Comment 10 Jory A. Pratt gentoo-dev 2009-06-20 03:46:55 UTC
This bug is actually valid for thunderbird in mozilla-overlay, which we will need to fix before the rc's are released and it is moved to the tree.
Comment 11 Jory A. Pratt gentoo-dev 2009-06-22 03:14:19 UTC
I have added the the thunderbird patch to mozilla overlay, as far as I know everything as far as mozilla products are concerned are ready for gcc-4.4.
Comment 12 Jory A. Pratt gentoo-dev 2009-07-07 01:28:33 UTC
Nirbheek go ahead and fix this in the tree, until we figure out x86-fbsd issue with build gonna have to have something that can be supported.
Comment 13 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-07-07 15:03:58 UTC
Alrighty, fixed without a bump